Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
mynameisadn

[Đã xong] Tao dynamic block bằng Autolisp

Các bài được khuyến nghị

Gửi các bạn một lisp tạo dynamic block.

 

(defun c:dynamicblock()

(setvar "cmdecho" 0)

(command "_rectangle" (list 0 0) (list 1000 1000));

(setq objName (entlast))

(setq BlockName "test")

(command "-block" BlockName (list 0 0) objName "")

(command "-insert" BlockName (list 0 0) 1 1 0)

(command "-bedit" BlockName)

(command ".Bparameter" "linear" (list 0 0) (list 0 1000) (list(- 0 100) 100) 2)

(setq nameofParameterLinear (cdr(assoc (- 0 1) (entget (entlast)))))

(setq ss1 (ssget "C" (list (- 0 500) 1500) (list 1500 500)))

(command ".Bactiontool" "stretch" nameofParameterLinear (list 0 1000) (list 1500 500) (list (- 0 500) 1500) (list 1500 500) ss1 "")

(command "_bclose" "")

 

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

À thực ra thì đây là một vấn đề mà mình kiếm trên diễn đàn cadviet.com lâu nay mà không thầy ai trả lời hết (có bạn trả lời là không thể làm được với VBA hay Autolisp). Vấn đề là : "TẠO DYNAMIC BLOCK BẰNG LẬP TRÌNH NHƯ LÀ HOẶC AUTOLISP, HOẶC VBA HOẶC OBJECTARX HOẶC AUTOCAD.NET" .

Mình muốn mọi người cùng chia sẽ cách mình tạo ra dynamic block (dĩ nhiên là bằng lập trình) vì nó sẽ có nhiều ứng dụng hay.

Ở trên là lisp mình tạo ra Dynamic block bằng autolisp, nếu ai có cách nào làm thì post lên cho mọi người cùng học hỏi với.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

À thực ra thì đây là một vấn đề mà mình kiếm trên diễn đàn cadviet.com lâu nay mà không thầy ai trả lời hết (có bạn trả lời là không thể làm được với VBA hay Autolisp). Vấn đề là : "TẠO DYNAMIC BLOCK BẰNG LẬP TRÌNH NHƯ LÀ HOẶC AUTOLISP, HOẶC VBA HOẶC OBJECTARX HOẶC AUTOCAD.NET" .

Mình muốn mọi người cùng chia sẽ cách mình tạo ra dynamic block (dĩ nhiên là bằng lập trình) vì nó sẽ có nhiều ứng dụng hay.

Ở trên là lisp mình tạo ra Dynamic block bằng autolisp, nếu ai có cách nào làm thì post lên cho mọi người cùng học hỏi với.

Ở đây, bạn à : http://www.cadviet.c...showtopic=63839

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×